#
# spec file for package ghc-hackage-db
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hackage-db
Name:           ghc-%{pkg_name}
Version:        1.22
Release:        1.1
Summary:        Access Hackage's package database via Data.Map
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-tar-devel
BuildRequires:  ghc-utf8-string-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
This module provides simple access to the Hackage database by means of
'Data.Map'. Suppose you wanted to implement a utility that queries the set of
available versions for a given package, the following program would do the
trick:

> import qualified Distribution.Hackage.DB as DB > import Distribution.Text (
display ) > import System.Environment ( getArgs ) > > main :: IO () > main = do
> pkgs <- getArgs > db <- DB.readHackage > let getVersions name = maybe []
DB.keys (DB.lookup name db) > mapM_ (putStrLn . unwords . map display .
getVersions) pkgs

When run, it would produce the following output:

> ./a.out containers deepseq cabal-install > 0.1.0.0 0.1.0.1 0.2.0.0 0.2.0.1
0.3.0.0 0.4.0.0 > 1.0.0.0 1.1.0.0 1.1.0.1 1.1.0.2 > 0.4.0 0.5.0 0.5.1 0.5.2
0.6.0 0.6.2 0.6.4 0.8.0 0.8.2 0.10.0 0.10.2.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.22 revision 1 with cabal2obs.
* Sun Jul  3 2016 mimi.vx@gmail.com
- initial commit generated with cabal2obs
